Bug 471506 - Grid - Job Details/Attributes
Grid - Job Details/Attributes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: cumin (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: messaging-bugs
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-13 20:18 EST by William Henry
Modified: 2015-11-15 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-22 06:54:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2008-11-13 20:18:47 EST
Description of problem:

Two things here:

1) Can we have a summary of the "important" attributes? There are a lot of attributes in here that are never set by the user in the job submission file. Though it is important to be able to display the full list somewhere in case there is something in there that is preventing a job from running.

2) Is Details that summary?  If so can we default to that tab instead of the attributes tab when you select a job?  Or perhaps default to that tab anyway?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Justin Ross 2009-02-02 14:10:33 EST
Details is not that summary.  Any distinction between more and less important job attrs should be made a part of the job ad view.

But this is a good question: What are the essential attributes?  There are in fact two levels to consider:

  1. Those we pull up into the brief summary attrs under the page title; this can't be more than 4 or 5 things

  2. Then there's the job ad;  if we're displaying a bunch of attrs that are low utility, we may be able to put them behind some indirection
Comment 2 Matthew Farrellee 2010-09-15 16:49:56 EDT
cumin-0.1.4279-1.el5.noarch's Job::Attributes screen groups attributes into meaningful categories. Please open a new BZ for further enhancements.

Note You need to log in before you can comment on or make changes to this bug.